<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />

<title>News - List Layout</title>

<style>
body { font:10pt Verdana, Arial, Helvetica, sans-serif; color:#666; padding:25px; }
</style>

</head>
<body>


<?php 

include_once('../fast_feed/fast_feed_config.php'); 
include_once('../fast_feed/fast_feed_functions.php');

$dh = opendir($entry_root);

$file_array = array(); // (re)set this as empty
while (false !== ($file = readdir($dh)) ) 
	{
	if (strpos($file, '.txt',1)) // only include files with .txt extension
		{ 
		$name = substr($file,0,strrpos($file,'.')); // strip the .txt extension
		$page_status_file = $entry_status.$name.".txt";
		$published = @file_get_contents($page_status_file);
		if ( (is_dir($entry_root.$name) == false) && ( $published == 'inactive' ) )
			{ 
			$hidefile = $file; 
			}
			else
			{
			$hidefile = ''; 
			}	
		if ( $file!='.' && $file!='..' && $file!=$hidefile ) 
			{
 			$file_array[] = $entry_root.$file;  
			}
		}
	}

// entry sort
if ($entry_sort == 1) 
	{
	rsort ($file_array); // sort pages z-a (newest on top)
	}
	else
	{
	asort ($file_array); // sort pages a-z (oldest on top)
	}

$i = 1; // numbering for news items
$live_entries = filecountff($entry_root) - filecountff($entry_status);

echo "<ul>\n";
foreach ($file_array as $value) 
	{ 
	$value = str_replace($entry_root, '', $value);
	$title = substr($value,0,strrpos($value,'.')); // strip the .txt extension
	$created = explode("_", $title);    
	$month = date('M', mktime(0, 0, 0, $created[1], 10));
	$day = $created[2];	
	$th = date('S', mktime(0, 0, 0, 0, $day, 10));
	$year = substr($created[0], -2);

	$content_entry = file_get_contents($entry_root.$title.".txt");
	$segment = explode("||", $content_entry);
	$news_title = utf8_encode($segment[0]);
	$news_entry = utf8_decode($segment[1]);
	$news_link = $segment[2];
	$news_image = $segment[3];
	$tags = array('p'); // strip_only function - html tags to be stripped (will strip differing contents of title tag too)
	$description = strip_onlyff($news_entry, $tags); // strip_only function - replace tags + attributes but leaves contents

	if (( $news_link == 'Paste a news link here' ) || ( $news_link == ' ' ))
		{ 
		$link = ''; 
		}
		else
		{
		$link = "[ <a href='$news_link'>more...</a> ]"; 
		}

	if (( $news_image == 'Upload/insert an image' ) || ( $news_image == ' ' ))
		{ 
		$pic = '&nbsp;'; 
		}
		else
		{
		$pic = "<img src='$news_image' alt='' style='float:left; margin-right:10px;' /> "; 
		}

	echo '<li>';
	echo '<p><strong><u>'.$news_title.'</u></strong><br/>'.$pic; 
	if ( $numbering == '1' )
		{ 
		$numbers = '<span class="num">('.$i.'/'.$live_entries.')</span> ';
		}
	echo ''.$numbers.'<i><b>'.$day.$th.'&nbsp;'.$month.'&nbsp;'.$year.'</b></i> - '.$description.'<br/>';
	echo $link;
	echo "</p>&nbsp;</li>\n";

 	$i++; // increment $i by 1 (news item numbering)
	}
closedir($dh);
echo "</ul>\n";
?>


</body>
</html>