<?php 
/*
Fast Feed 1.0 - A fast, free and easy application for managing an RSS newsfeed.
(C) 2011 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Feed is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include('fast_feed_config.php');
include('fast_feed_functions.php');
include('fast_feed/tinymce/tinymce/jscripts/tiny_mce/plugins/tinybrowser/config_tinybrowser.php');
$xml = str_replace($siteurl, '', $feed_file);
$xml_old = str_replace($siteurl, '', $feed_file_old);
$xml_plain = str_replace($siteurl, '', $feed_file_plain);
$xml_plain_old = str_replace($siteurl, '', $feed_file_old_plain);

if($_SESSION['ffusername']) 
	{

	if (!isset($_GET['page']))
		{
		header("Location: index.php?page=1"); // counteracts bug where WYSIWYG toolbar wont load without "page" query string
		}

	$_SESSION['editfile'] = isset($_GET['editfile']) ? $_GET['editfile'] : '';
	$action_edit = isset($_GET['action_edit']) ? $_GET['action_edit'] : '';
	$editfile = isset($_GET['editfile']) ? $_GET['editfile'] : '';
	$_SESSION['page'] = isset($_GET['page']) ? $_GET['page'] : '';

	$live_entries = filecountff($entry_root) - filecountff($entry_status);

	$dir = opendir($entry_root);
	$page_array = array(); // (re)set this as empty 
	while (false !== ($page = readdir($dir)))
		{
		if ( ($page!='..') && ($page!='.') ) // add files to exclude from entry list as required
			{
            		$page_array[] = $entry_root.$page;
			} 	
		}

	if (isset($_GET['action_edit'])) 
		{
		$contentpage_edit = $entry_root.$editfile;
		$all_data = @file_get_contents($contentpage_edit); // populate fast-note textarea with entry.txt page
		list($data_t, $data, $data_l, $data_i) = explode("||", $all_data);
		$data_t = htmlspecialchars($data_t, ENT_QUOTES);
		$data_d = str_replace('_', '/', (substr($editfile, 0, -21))); // 1st part of filename changed with date picker
		$data_d2 = date("H");
		$data_d3 = date("i");
		$data_d4 = time();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='save') ) // save changes
		{
		$editfile = $_POST['editfile'];
		$datefile = str_replace('/', '_', ($_POST['fastnews_d']));
		$datefile2 = '_'.$_POST['fastnews_d2'].'_'.$_POST['fastnews_d3'].'_'.$_POST['fastnews_d4'].'.txt';
		$arr = array($_POST['fastnews_t'], str_replace('&nbsp;', ' ', $_POST['fastnews']), htmlentities($_POST['fastnews_l'], ENT_QUOTES), $_POST['fastnews_i']);
		$all_together = implode('||',$arr);
		$content = $entry_root.$editfile;
		if ( fileAllowed($entry_root, $editfile) ) {
			$fp = fopen($content,'w');
			$all_together = stripslashes($all_together);
			$all_together = preg_replace(array('/<(\?|\%)\=?(php)?/', '/(\%|\?)>/'), array('',''), $all_together); // remove old-asp tags, php short-tags, php echo tags, and normal php tags
			$all_together = strip_onlyff($all_together, $strip_tags); // strip_only function - replace tags + attributes but leaves contents
			if ($style_attr == '0') 
				{
				$all_together = preg_replace('/(<[^>]+) style=".*?"/i', '$1', $all_together); // remove style attribute from tags
				}
			fwrite($fp,$all_together);
			fclose($fp);
			$datefilef = $datefile.$datefile2;
			rename($entry_root.$editfile, $entry_root.$datefilef);
			@rename($entry_status.$editfile, $entry_status.$datefilef);
			}
		publishff($xml, 'new', $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace);
		publishff_plain($xml_plain, 'new', $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace);
		WriteLogs($action='SAVE', $log_file, $_SESSION['ffusername'], $_POST['fastnews_t']);
		header("Location: index.php?action_edit=edit&editfile=".$datefilef."&page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='create') ) // create new entry
		{
		if ($live_entries < $max_entries) 
			{
			$entry_title = date('Y_m_d_H_i').'_'.time(true);
			$base_file = $entry_root.$entry_title.'.txt'; 
			$create_base_file = fopen($base_file, 'w+');
			fwrite($create_base_file, "Type a news title here||<p>Type your news item text here</p>||Paste a news link here||Upload/insert an image");
			fclose($create_base_file);
			$fp = fopen($entry_status.$entry_title.'.txt', 'w'); // immediately set new entries as inactive
			fwrite($fp, "inactive");
			fclose($fp); 
			WriteLogs($action='NEW ENTRY', $log_file, $_SESSION['ffusername']);
			header("Location: index.php?action_edit=edit&editfile=".$entry_title.".txt&page=1" );
			exit();
			}
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='inactive') ) // hide entry
		{
		$inactivefile = $_GET['inactivefile'];
		$fp = fopen($entry_status.$inactivefile, 'w');
		fwrite($fp, "inactive");
		fclose($fp);
		publishff($xml, 'new', $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace);
		publishff_plain($xml_plain, 'new', $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace);
		publishff($xml_old, 'old', $entry_root, $entry_status, $website_title, $domain, $website_desc, $feed_file_old, $search, $replace);
		publishff_plain($xml_plain_old, 'old', $entry_root, $entry_status, $website_title, $domain, $website_desc, $feed_file_old, $search, $replace);
		$all_data = @file_get_contents($entry_root.$inactivefile);
		list($data_t) = explode("||", $all_data);
		WriteLogs($action='UNPUBLISH', $log_file, $_SESSION['ffusername'], $data_t, $inactivefile);
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='active') ) // show entry
		{
		if ($live_entries < $max_entries) 
			{
			$activefile = $_GET['activefile'];
			unlink($entry_status.$activefile); 
			publishff($xml, 'new', $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace);
			publishff_plain($xml_plain, 'new', $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace);
			publishff($xml_old, 'old', $entry_root, $entry_status, $website_title, $domain, $website_desc, $feed_file_old, $search, $replace);
			publishff_plain($xml_plain_old, 'old', $entry_root, $entry_status, $website_title, $domain, $website_desc, $feed_file_old, $search, $replace);
			$all_data = @file_get_contents($entry_root.$activefile);
			list($data_t) = explode("||", $all_data);
			WriteLogs($action='PUBLISH', $log_file, $_SESSION['ffusername'], $data_t, $activefile);
			header("Location: index.php?page=".$_SESSION['page'] );
			exit();
			}
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='delete') ) // delete entry
		{
		$delfile = $_GET['delfile']; 
		$all_data = @file_get_contents($entry_root.$delfile);
		list($data_t) = explode("||", $all_data);
		if ( fileAllowed($entry_root, $delfile) ) {
			unlink($entry_root.$delfile);
			@unlink($entry_status.$delfile);
			}
		publishff($xml, 'new', $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace);
		publishff_plain($xml_plain, 'new', $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace);
		publishff($xml_old, 'old', $entry_root, $entry_status, $website_title, $domain, $website_desc, $feed_file_old, $search, $replace);
		publishff_plain($xml_plain_old, 'old', $entry_root, $entry_status, $website_title, $domain, $website_desc, $feed_file_old, $search, $replace);
		WriteLogs($action='DELETE', $log_file, $_SESSION['ffusername'], $data_t, $delfile);
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='search') ) { // search (IE10+ formaction="?action=search&page=1")
		$search = trim($_POST['search']);
		foreach ($page_array as $page) {
			$content_entry = file_get_contents($page);
			$segment = explode("||", $content_entry);
			$news_title = $segment[0];
			$news_entry = $segment[1];
			if (stripos($news_title, $search) !== false || stripos($news_entry, $search) !== false) {
            			$search_array[] = $page;
				}
			}
		if (!empty($search_array)) { 
			$page_array = $search_array; 
			$per_page = 1000;
			}
		}

	$lines = count(file($log_file)); // delete old actions in log file
	if ($lines > $max_logs) 
		{
		$oldlines = file($log_file); 
		$last = sizeof($oldlines) - 1; 
		unset($oldlines[$last]); 
		$fp = fopen($log_file, 'w'); 
		fwrite($fp, implode('', $oldlines)); 
		fclose($fp);
		}
		?>


<div class="fast-feed-container">

	<form id="formeditor1" name="formeditor1" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>?action=save">
		Welcome back <?php echo $_SESSION['ffusername'];?> 
		<div class="fast-feed-headings">
			<?php if ($live_entries < $max_entries) { ?>
				New&nbsp;Item:&nbsp;<a href="?action=create"><img src="fast_feed/images/page_add.png" alt="New Item" title="New Item" class="create"/></a> &nbsp;&nbsp;|&nbsp;&nbsp;
			<?php } ?>
			<input type="text" name="search" value="Search..." class="field" onfocus="clearText(this)" onblur="clearText(this)" /><input type="submit" style="padding:1px 6px" value="Go" onclick="document.getElementById('formeditor1').action='<?php echo $_SERVER['PHP_SELF'];?>?action=search&page=1'" /> &nbsp;&nbsp;|&nbsp;&nbsp; 
			Start&nbsp;Screen: <a href="index.php"><img src="fast_feed/images/refresh.png" alt="Start Screen" title="Start Screen" class="logout" /></a> &nbsp;&nbsp;|&nbsp;&nbsp; 
			Logout&nbsp;<?php echo $_SESSION['ffusername'];?>: <a href="?action=logout"> <img src="fast_feed/images/lock_open.png" alt="Logout <?php echo $_SESSION['ffusername'];?>" title="Logout <?php echo $_SESSION['ffusername'];?>" class="logout" /></a>
		</div>	
		<?php 
		if (isset($_GET['action_edit'])) 
			{
			echo "<input type='hidden' id='editfile' name='editfile' value='$editfile' />";
			}
		?>
			<?php
			if (isset($_GET['action_edit'])) 
				{ 
				$height = $tinybrowser['imageresize']['height'];
				$width = $tinybrowser['imageresize']['width'];
				echo "<div class='editor'>";
				echo "<span class='nav-outer'><span class='nav'>News&nbsp;Title:</span><input type='text' id='editfile_t' name='fastnews_t' value='$data_t' class='field' onfocus='clearText(this)' onblur='clearText(this)' />&nbsp;&nbsp;|</span>";
				echo "<span class='nav-outer'><span class='nav'>News&nbsp;Link:</span><input type='text' id='editfile_l' name='fastnews_l' value='$data_l' class='field' onfocus='clearText(this)' onblur='clearText(this)' />&nbsp;&nbsp;|</span>";
				echo "<span class='nav-outer'><span class='nav'>Date:</span><input type='text' id='editfile_d' name='fastnews_d' value='$data_d' class='field' style='width:75px' readonly/><input type='hidden' id='editfile_d2' name='fastnews_d2' value='$data_d2'/><input type='hidden' id='editfile_d3' name='fastnews_d3' value='$data_d3'/><input type='hidden' id='editfile_d4' name='fastnews_d4' value='$data_d4'/>&nbsp;<img src='fast_feed/images/calendar.png' class='create' alt='Change Date' title='Change Date' onclick='displayDatePicker(\"fastnews_d\", false, \"ymd\", \"\/\");' />";
				if ($img_upload == '0')
					{
					echo "</span><br/>&nbsp;";
					}
					else
					{
					echo "&nbsp;&nbsp;|</span><span class='nav-outer'><span class='nav'>Optional&nbsp;Image:</span><input type='text' id='editfile_i' name='fastnews_i' value='$data_i' class='field' onfocus='clearText(this)' onblur='clearText(this)' />&nbsp;<img src='fast_feed/images/image_add.png' alt='Insert/Upload Image' title='Upload/Insert Image' onClick='javascript:tinyBrowserPopUp(\"image\",\"editfile_i\")' class='create'/>&nbsp;<span class='img-size'>(".$width."w x ".$height."h pixels)</span>&nbsp;<a href='http://pixlr.com/editor/' target='_blank'><img src='fast_feed/images/image_edit.png' class='create' alt='Edit/Resize Image' title='Edit/Resize Image' /></a></span><br/>&nbsp;";
					}
				echo "<textarea name='fastnews' cols='80' rows='10'>$data</textarea>";
				echo "</div>";
				}
			?>
	</form>

			<?php
			if ($tinybrowser['allowupload'] == true) 
				{ 
				if ( $quota != '0' ) 
					{
					$bytestotal = GetFolderSizeff($rooturl.'image'); 
					$percent = number_format(($bytestotal/$quota*100), 2, '.', '');
					if ( $bytestotal >= ($quota/100*95) && $bytestotal <= $quota ) 
						{
						echo '<div class="info spacer">You have used <b>'.$percent.'%</b> of your maximum image space quota. You can upload <b>'.ByteSizeff($quota-$bytestotal).'</b> more before the upload function becomes unavailable.</div>';
 						}
					if ( $bytestotal >= $quota ) 
						{
						echo '<div class="error spacer">You have reached your maximum image space quota of <b>'.ByteSizeff($quota).'</b>. Please delete old images to free-up space.</div>';
						}
	 				} 
				}
				?>


<?php if ($live_entries >= $max_entries) 
	{ 
	echo "<div class='error spacer'>Sorry, only <b>$max_entries</b> live news items allowed. You must unpublish/delete old news items before you can add more.</div>"; 
	} 
?>

	<div class="entry-manager-container">

<?php 

	if (!empty($search_array)) 
		{
		echo '<div class="heading"><div class="old-new">Search Results&nbsp; ('.count($search_array).' matches found)</div>';
		} 
		else 
		{
		if ( $entry_sort == '0') 
			{ 
			echo '<div class="heading"><div class="old-new">News Item Manager&nbsp; (sorted oldest to newest - oldest on top)</div>';
			} 
			else 
			{
			echo '<div class="heading"><div class="new-old">News Item Manager&nbsp; (sorted newest to oldest - newest on top)</div>';
			}
		}
		echo '<div class="live-entries">Live Entries: '.$live_entries.'</div></div>';
?>

	<br style="clear:both"/>

<?php 

	echo "<table id='page-list' class='tablesorter'><thead><tr><th class='left entry-text'><a href='' title='Click to Sort'>News Title</a></th><th><a href='' title='Click to Sort'>Date</a></th><th class='left entry-text'><a href='' title='Click to Sort'>News Item Text</a></th><th><a href='' title='Click to Sort'>Image</a></th><th><a href='' title='Click to Sort'>Edit</a></th><th><a href='' title='Click to Sort'>Status</a></th><th><a href='' title='Click to Sort'>Delete</a></th></tr></thead><tbody>";

		if ($entry_sort == 0 ) 
			{
			sort ($page_array); // sort pages a-z (oldest on top)
			}
			else
			{
			rsort ($page_array); // sort pages z-a (newest on top)
			}
   
		$file_count = count($page_array);
		$page_count = ceil( $file_count / $per_page );
		$page = ( isset($_GET['page']) && is_numeric($_GET['page']) ) ? (int) $_GET['page'] : 1;
		if( $page > $page_count )
    			{
       		 	$page = $page_count;
    			}
		if( $page < 1 )
    			{
        		$page = 1;
    			}

		$total_on_page = $per_page - ( ( $page * $per_page ) - $file_count );   
		$offset = ( ( $page - 1 ) * $per_page );   
		if ( $total_on_page < $per_page ) 
			{
			$per_page = $total_on_page;
			}

		if ( $pagination == 0 || $pagination == 2 )
			{
			showPaginationff($page,$page_count,$range); // show pagination
			}
   
		for ( $i = $offset; $i < ( $offset + $per_page ); $i++ )
    			{

			$content_entry = file_get_contents($page_array[$i]);
			$contentpage_current = $page_array[$i];
			$entry = str_replace($entry_root, '', $page_array[$i]);
			$name = str_replace($entry_root, '', substr($page_array[$i],0,strrpos($page_array[$i],'.')) );
			$created = explode("_", $name);
			$year = substr($created[0], -2); 
			$month = date('M', mktime(0, 0, 0, $created[1], 10));
			$day = $created[2];
			$min = $created[4];

			list($news_title, $news_entry, $news_link, $news_image) = explode("||", $content_entry);

			$estatus_file = $entry_status.$entry;
			$estatus = @file_get_contents($estatus_file);

			$red = "<a href='".$_SERVER['PHP_SELF']."?action=active&activefile=$entry&page=$page' title='Unpublished (click to publish)'><img src='fast_feed/images/inactive.png' alt='Unpublished (click to publish)' class='hidden'/></a>";
			$green = "<a href='".$_SERVER['PHP_SELF']."?action=inactive&inactivefile=$entry&page=$page' title='Published (click to unpublish)'><img src='fast_feed/images/active.png' alt='Published (click to unpublish)' class='visible'/></a>";

			if (( $news_link == 'Paste a news link here' ) || ( $news_link == ' ' ))
				{ 
				$link = "<a href='javascript:void(0);' style='cursor:default;'>"; 
				}
				else
				{
				$link = "<a href='$news_link' target='_blank'>"; 
				}

			if (( $news_image == 'Upload/insert an image' ) || ( $news_image == ' ' ) || ( $news_image == '' ))
				{ 
				$pic = '<span class="no-pic"><i>- no image -</i></span>'; 
				}
				else
				{
				$pic = "<img src='$news_image' class='pic'/>"; 
				}

			if ( $estatus == 'inactive' )
				{ 
				$status = $red; 
				}
				else
				{
				$status = $green; 
				}

			echo "<tr><td class='left nowrap'>$link$news_title</a></td><td class='width'><span class='mini'>$year$created[1]$day$created[3]$min</span>$day-$month-$year</td><td class='left news-link' width='100%'>$news_entry</td><td>$pic</td><td><a href='".$_SERVER['PHP_SELF']."?action_edit=edit&editfile=$entry&page=$page' title='Edit News Item'><img src='fast_feed/images/page_edit.png' alt='Edit News Item' class='edit'/></a></td><td>$status</td><td><a href='javascript:confirmDelete(\"".$_SERVER['PHP_SELF']."?action=delete&delfile=$entry&page=$page\")' title='Delete News Item'><img src='fast_feed/images/cross.png' alt='Delete News Item' class='delete'/></a></td></tr>";
    			}

		echo "</tbody></table>";

		if ( $pagination == 1 || $pagination == 2 )
			{
			showPaginationff($page,$page_count,$range); // show pagination
			}

		?>

</div>

<?php } ?>