<?php 
/*
Fast Feed 1.0 - A fast, free and easy application for managing an RSS newsfeed.
(C) 2011 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Feed is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// name of website/RSS
$website_title = 'My Website News Scroller';

// description of website/RSS (remember to escape any apostrophes! $website_desc= 'Find out what\'s on';)
$website_desc = 'Find out what\'s on at My Website';

// website domain with trailing slash
$domain = 'http://www.mywebsite.com/';

// website URL to the folder where Fast Feed is stored, with trailing slash
$siteurl = 'http://www.mywebsite.com/fast_feed_v1_0/';

// website root path to the folder where Fast Feed is stored with trailing slash
// $rooturl = '/home/www/mywebsite.com/fast_feed_v1_0/'; // below setting should work automatically but if not, set root path manually
$rooturl = dirname(realpath(dirname(__FILE__))).'/';

// usernames and passwords - paired in same order 
$usernames = array(
'ffadmin', 	// user 1
'user2',	// user 2 
'user3'		// user 3
);

$passwords = array(
'ffdemo', 	// pass 1
'pass2', 	// pass 2
'pass3'		// pass 3
);

// how do you want the entries to be sorted in the admin panel and experimental newsfeed.php (non-compliant RSS)?
// 0; = oldest to newest (oldest on top), 1; = newest to oldest (newest on top)   -   default is newest to oldest
$entry_sort = 1;

// how many entries do you want to display on a page in the admin panel? (page numbering automatically appears below)
$per_page = 5;

// where do you want to show the pagination links in the admin panel?
// 0; = top only, 1; = bottom only, 2; = both top and bottom   -   default is bottom only
$pagination = 1;

// how many pagination links to display either side of active page number in the admin panel? (includes first, next, previous, last)
$range = 5; 

// do you want to use the default intro for the 1st news item in experimental newsfeed.php (non-compliant RSS)?
// 0; = no, 1; = yes   -   default is yes
$intro = 0;

// do you want to use entry numbering in experimental newsfeed.php (non-compliant RSS)?
// 0; = no, 1; = yes   -   default is yes
$numbering = 1;

// maximum number of live entries to allow in newsfeed
$max_entries = 25;

// HTML tags to strip from entries
$strip_tags = array('span', 'div', 'img');

// do you want to allow use of the style="" attribute in entries? (advanced users only)
// 0; = no, 1; = yes   -   default is no
$style_attr = 0;

// maximum number of actions to keep in log file
$max_logs = 1000;

// set custom search-replace strings for RSS newsfeed.xml, paired in same order in each array
// only applies to compliant RSS - use if your special characters break auto-generated RSS newsfeed.xml
$search = array('&pound;', '&euro;');
$replace = array('GBP', 'EURO');

// use optional image upload in admin panel - if in use, also see settings for file manager below
// 0; = no, 1; = yes   -   default is yes
$img_upload = 1;

// settings for file manager - 3rd party plugin - needs to be configured seperately
// see "fast_feed/tinymce/tinymce/jscripts/tiny_mce/plugins/tinybrowser/config_tinybrowser.php"
// - Main path to images folder
// - File link path (only image link required)
// - Maximum disk space quota
// - File upload size limit in bytes (0 is unlimited) (512000 = 500KB) (1048576 = 1MB) (2097152 = 2MB) (1073741824 = 1GB), etc
// - Dimensions for images in experimental newsfeed.php (non-compliant RSS)
// - Permitted file extensions
// - Assign Permissions for Upload, Edit & Delete actions (true or false)




#### NO NEED TO EDIT PAST THIS LINE ####

// website root path to editable entries (.txt files) with trailing slash
$entry_root = $rooturl.'fast_feed/_entry/'; 

// website root path to entry status files with trailing slash
$entry_status = $rooturl.'fast_feed/_status/';

// website URL to RSS newsfeed.xml file
$feed_file = $siteurl.'newsfeed.xml';

// website URL to RSS newsfeed_old.xml file
$feed_file_old = $siteurl.'newsfeed_old.xml';

// website URL to RSS newsfeed.xml file
$feed_file_plain = $siteurl.'newsfeed_plain_text.xml';

// website URL to RSS newsfeed_old.xml file
$feed_file_old_plain = $siteurl.'newsfeed_old_plain_text.xml';

// website root path to log file
$log_file = $rooturl.'fast_feed/log.txt';

?>