<?php
/*
Fast Feed 1.0 - A fast, free and easy application for managing an RSS newsfeed.
(C) 2011 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Feed is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


// pagination
function showPaginationff($page,$page_count,$range) {
	echo '<div class="pagination_admin pagination">';
	echo 'Page(s): ';

	if ( $page > 1 )
    		{
       		 echo '<a href="?page=1" title="First" class="button">&lt;&lt;</a> <a href="?page='.( $page - 1 ).'" title="Previous" class="button">&lt;</a> | ';
    		}

	for ( $num = ($page - $range); $num < ( ($page + $range) + 1); $num++ )
    		{
        	if( $num > 0 && $num <= $page_count )
        		{
            		if( $num == $page )
            			{
                		echo ' <span class="number">'.$num.'</span> | ';
            			}
            			else
            			{
                		echo ' <a href=?page='.$num.'>'.$num.'</a> | ';
            			}
        		}
   		 }

	if ( $page != $page_count )
    		{
        	echo ' <a href="?page='.( $page + 1 ).'" title="Next" class="button">&gt;</a> <a href="?page='.$page_count.'" title="Last" class="button">&gt;&gt;</a> ';
    		}
	echo '</div>';
}


function filecountff($FolderPath) // http://www.dreamincode.net/code/snippet1906.htm
	{      
	$filescount = 0;
	$dir = opendir($FolderPath);
	while (($file = readdir($dir)) !== false) 
		{ 
        	if ($file[0] == '.'){ continue; }		
        	if (is_dir($FolderPath.$file)) // if '.' it is a sub folder and call the function recursively 
			{    
            		$filescount += filecountff($FolderPath.$file.DIRECTORY_SEPARATOR); // Call the function if it is a folder type			
        		}
        		else 
			{
            		$filescount++;
        		}
    		}    
		closedir($dir);
		return $filescount;
	}


function strip_onlyff($str, $tags, $stripContent = false) { 
    $content = ''; 
    if(!is_array($tags)) { 
        $tags = (strpos($str, '>') !== false ? explode('>', str_replace('<', '', $tags)) : array($tags)); 
        if(end($tags) == '') array_pop($tags); 
    } 
    foreach($tags as $tag) { 
        if ($stripContent) 
             $content = '(.+</'.$tag.'[^>]*>|)'; 
         $str = preg_replace('#</?'.$tag.'[^>]*>'.$content.'#is', '', $str); 
    } 
    return $str; 
} 
//$str = '<font color="red">red</font> text'; 
//$tags = 'font'; 
//$a = strip_onlyff($str, $tags); // strips html tags + attributes but leaves contents - result: "red text" 
//$b = strip_onlyff($str, $tags, true); // strips html tags + attrubutes + contents - result: "text"


function publishff($xml, $age, $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace) {
	$xml = $rooturl.$xml;
	$website_desc = htmlentities($website_desc, ENT_QUOTES);
	$xml_data_start = "<?xml version=\"1.0\"?>\n<rss version=\"2.0\" xmlns:atom=\"http://www.w3.org/2005/Atom\">\n<channel>\n<atom:link href=\"$feed_file\" rel=\"self\" type=\"application/rss+xml\"/>\n<title>$website_title</title>\n<link>$domain</link>\n<description>$website_desc</description>\n";
	$fpx = fopen($xml,'w+');
	fwrite($fpx,$xml_data_start);
	$dh = opendir($entry_root);
	$file_array = array(); // (re)set this as empty
	while (false !== ($file = readdir($dh)) ) 
		{
		if (strpos($file, '.txt',1)) // only include files with .txt extension
			{ 
			$name = substr($file,0,strrpos($file,'.')); // strip the .txt extension
			$page_status_file = $entry_status.$name.".txt";
			$published = @file_get_contents($page_status_file);
			if ( (is_dir($entry_root.$name) == false) && ( $published == 'inactive' ) )
				{ 
				$hidefile = ($age == 'new') ? $file : ''; 
				}
				else
				{
				$hidefile = ($age == 'new') ? '' : $file;
				}	
			if ( $file!='.' && $file!='..' && $file!=$hidefile ) 
				{
 				$file_array[] = $entry_root.$file;  
				}
			}
		}
	if ($entry_sort == 1) // entry sort
		{
		rsort ($file_array); // sort pages z-a (newest on top)
		}
		else
		{
		asort ($file_array); // sort pages a-z (oldest on top)
		}
	$live_entries = filecountff($entry_root) - filecountff($entry_status);
	foreach ($file_array as $value) 
		{ 
		$value = str_replace($entry_root, '', $value);
		$title = substr($value,0,strrpos($value,'.')); // strip the .txt extension
		$created = explode("_", $title);   
		$month = date('M', mktime(0, 0, 0, $created[1], 10));
		$day = $created[2];
		$year = $created[0];
		$time = date("H:i:s", $created[5]);
		$content_entry = file_get_contents($entry_root.$title.".txt");
		list($news_title, $news_entry, $news_link, $news_image) = explode("||", $content_entry);
		$description = str_replace($search, $replace, $news_entry);
		$description = htmlentities($description, ENT_QUOTES);
		$news_title = str_replace($search, $replace, $news_title);
		$news_link = htmlentities($news_link, ENT_QUOTES);
		$news_link = str_replace('&amp;amp;', '&amp;', $news_link);

		if (( $news_link == 'Paste a news link here' ) || ( $news_link == ' ' ))
			{ 
			$link = "<link>$domain</link>"; 
			}
			else
			{
			$link = "<link>$news_link</link>"; 
			}
			$xml_data = "<item>\n<title>$news_title</title>\n<description>$description</description>\n<guid isPermaLink=\"false\">$title</guid>\n$link\n<pubDate>$day $month $year $time GMT</pubDate>\n</item>\n";
			$fpx = fopen($xml,'a+');
			fwrite($fpx,$xml_data);
		}
	closedir($dh);
	$xml_data_end = "</channel>\n</rss>";
	$fpx = fopen($xml,'a+');
	fwrite($fpx,$xml_data_end);
	fclose($fpx);
}


function publishff_plain($xml, $age, $entry_root, $entry_status, $entry_sort, $website_title, $domain, $website_desc, $feed_file, $search, $replace) {
	$xml = $rooturl.$xml;
	$xml_data_start = "<?xml version=\"1.0\"?>\n<rss version=\"2.0\" xmlns:atom=\"http://www.w3.org/2005/Atom\">\n<channel>\n<atom:link href=\"$feed_file\" rel=\"self\" type=\"application/rss+xml\"/>\n<title>$website_title</title>\n<link>$domain</link>\n<description>$website_desc</description>\n";
	$fpx = fopen($xml,'w+');
	fwrite($fpx,$xml_data_start);
	$dh = opendir($entry_root);
	$file_array = array(); // (re)set this as empty
	while (false !== ($file = readdir($dh)) ) 
		{
		if (strpos($file, '.txt',1)) // only include files with .txt extension
			{ 
			$name = substr($file,0,strrpos($file,'.')); // strip the .txt extension
			$page_status_file = $entry_status.$name.".txt";
			$published = @file_get_contents($page_status_file);
			if ( (is_dir($entry_root.$name) == false) && ( $published == 'inactive' ) )
				{ 
				$hidefile = ($age == 'new') ? $file : ''; 
				}
				else
				{
				$hidefile = ($age == 'new') ? '' : $file;
				}	
			if ( $file!='.' && $file!='..' && $file!=$hidefile ) 
				{
 				$file_array[] = $entry_root.$file;  
				}
			}
		}
	if ($entry_sort == 1) // entry sort
		{
		rsort ($file_array); // sort pages z-a (newest on top)
		}
		else
		{
		asort ($file_array); // sort pages a-z (oldest on top)
		}
	$live_entries = filecountff($entry_root) - filecountff($entry_status);
	foreach ($file_array as $value) 
		{ 
		$value = str_replace($entry_root, '', $value);
		$title = substr($value,0,strrpos($value,'.')); // strip the .txt extension
		$created = explode("_", $title);   
		$month = date('M', mktime(0, 0, 0, $created[1], 10));
		$day = $created[2];
		$year = $created[0];
		$time = date("H:i:s", $created[5]);
		$content_entry = file_get_contents($entry_root.$title.".txt");
		list($news_title, $news_entry, $news_link, $news_image) = explode("||", $content_entry);
		$description = strip_tags($news_entry);
		$description = str_replace('&nbsp;', ' ', $description);
		$description = str_replace($search, $replace, $description);
		$description = preg_replace("/&#?[a-z0-9]{2,8};/i","", $description); // remove html special characters
		$news_title = str_replace($search, $replace, $news_title);
		$news_link = htmlentities($news_link, ENT_QUOTES);
		$news_link = str_replace('&amp;amp;', '&amp;', $news_link);

		if (( $news_link == 'Paste a news link here' ) || ( $news_link == ' ' ))
			{ 
			$link = "<link>$domain</link>"; 
			}
			else
			{
			$link = "<link>$news_link</link>"; 
			}
			$xml_data = "<item>\n<title>$news_title</title>\n<description>$description</description>\n<guid isPermaLink=\"false\">$title</guid>\n$link\n<pubDate>$day $month $year $time GMT</pubDate>\n</item>\n";
			$fpx = fopen($xml,'a+');
			fwrite($fpx,$xml_data);
		}
	closedir($dh);
	$xml_data_end = "</channel>\n</rss>";
	$fpx = fopen($xml,'a+');
	fwrite($fpx,$xml_data_end);
	fclose($fpx);
}

  
function WriteLogs($action, $log_file, $who, $wtitle) { 
		$lines = file($log_file);
		$fpl = fopen($log_file,'w+');
		$log_file_action = date('jS M Y, h:ia').' - '.$who.' ['.$action.']: '.$wtitle;
		fwrite($fpl,$log_file_action."\r\n");
		foreach ($lines as $line) { fwrite( $fpl, $line); }
		fclose($fpl);
}


function ByteSizeff($bytes)  // http://www.phpfront.com/php/Convert-Bytes-to-corresponding-size/
	{ 
	$size = $bytes / 1024; 
	if($size < 1024) 
		{ 
		$size = number_format($size, 0); // format to 0 decimal places
		$size .= 'KB'; 
		}  
		else  
		{ 
		if($size / 1024 < 1024)  
			{ 
			$size = number_format($size / 1024, 0); // format to 0 decimal places
			$size .= 'MB'; 
			}  
			else if ($size / 1024 / 1024 < 1024)   
			{ 
			$size = number_format($size / 1024 / 1024, 2); 
			$size .= 'GB'; 
			}  
		} 
	return $size; 
	} 
// Returns '19.28mb' 
// print ByteSizeff('20211982'); 


function GetFolderSizeff($d ="." ) // http://www.weberdev.com/get_example-4561.html (recursive total)
	{
    	$h = @opendir($d); 
    	if($h==0)return 0; 
    	while ($f=readdir($h))
		{ 
        	if ( $f!= "..") 
			{ 
            		$sf+=filesize($nd=$d."/".$f); 
            		if($f!="."&&is_dir($nd))
				{ 
                		$sf+=GetFolderSizeff($nd); 
            			} 
        		} 
    		} 
    		closedir($h); 
    		return $sf ; 
	}


function normalizePath($path) {
	$parts = array();// Array to build a new path from the good parts
	$path = str_replace('\\', '/', $path);// Replace backslashes with forwardslashes
	$path = preg_replace('/\/+/', '/', $path);// Combine multiple slashes into a single slash
	$segments = explode('/', $path);// Collect path segments
	$test = '';// Initialize testing variable
	foreach ($segments as $segment) {
        	if ($segment != '.') {
			$test = array_pop($parts);
			if (is_null($test)) { $parts[] = $segment; }
            		else if($segment == '..') {
				if ($test == '..') { $parts[] = $test; }
				if ($test == '..' || $test == '') { $parts[] = $segment; }
			} else {
				$parts[] = $test;
				$parts[] = $segment;
				}
			}
		}
	return implode('/', $parts);
	}


function fileAllowed($root, $file) {
	$rpath = normalizePath(realpath($root.$file));
	$root = normalizePath($root);
	if (strpos($rpath, $root) === 0) { // Check that $rpath is within allowed directory
		if ( file_exists($root.$file) && strpos($root.$file, '.txt',1) ) {
			return true;
			}
		}
	}

?>