<?php
/*
TinyBrowser 1.41 - A TinyMCE file browser (C) 2008  Bryn Jones
(author website - http://www.lunarvis.com)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// switch off error handling, to use custom handler
error_reporting(0); 

// set script time out higher, to help with thumbnail generation
set_time_limit(240);

$tinybrowser = array();

// Session control and security check - to enable please uncomment
if(isset($_GET['sessidpass'])) session_id($_GET['sessidpass']); // workaround for Flash session bug
session_start();
$tinybrowser['sessioncheck'] = 'ffusername'; //name of session variable to check

// Random string used to secure Flash upload if session control not enabled - be sure to change!
// previously $tinybrowser['obfuscate'] = 's0merand0mjunk!!!111';
$tinybrowser['obfuscate'] = 's0merand0mjunk!!!999';

// Set default language (ISO 639-1 code)
$tinybrowser['language'] = 'en';

// Set the integration type (TinyMCE is default)
$tinybrowser['integration'] = 'tinymce'; // Possible values: 'tinymce', 'fckeditor'

// Default is rtrim($_SERVER['DOCUMENT_ROOT'],'/') (suitable when using absolute paths, but can be set to '' if using relative paths)
$tinybrowser['docroot'] = rtrim($_SERVER['DOCUMENT_ROOT'],'/');

// Folder permissions for Unix servers only
$tinybrowser['unixpermissions'] = 0777;

// Fast Feed >> Set main path to images folder - Try '/fast_feed_v1_0/image/' or '/home/www/mywebsite.com/fast_feed_v1_0/image/', etc. if the setting below doesn't work
$userfiles = '/fast_feed_v1_0/image/';

// File upload paths - takes path variable directly from above so no need to change
$tinybrowser['path']['image'] = $userfiles; // Image files location - also creates a '_thumbs' subdirectory within this path to hold the image thumbnails
//$tinybrowser['path']['media'] = $userfiles; // Media files location
//$tinybrowser['path']['file']  = $userfiles; // Other files location

// Fast Feed >> Set the file link paths - these are the paths that get passed back to your HTML content - only need to set image path
//$tinybrowser['link']['image'] = $tinybrowser['path']['image']; // Image links (set to equal the upload path by default)
//$tinybrowser['link']['media'] = $tinybrowser['path']['media']; // Media links (set to equal the upload path by default) - not used
//$tinybrowser['link']['file']  = $tinybrowser['path']['file']; // Other file links (set to equal the upload path by default) - not used
$tinybrowser['link']['image'] = 'http://'.$_SERVER['HTTP_HOST'].'/fast_feed_v1_0/image/'; // Image links
//$tinybrowser['link']['media'] = 'http://'.$_SERVER['HTTP_HOST'].'/userfiles/media/'; // Media links - not used
//$tinybrowser['link']['file']  = 'http://'.$_SERVER['HTTP_HOST'].'/userfiles/files/'; // Other file links - not used

// Fast Feed >> Set the maximum disk space quota in bytes (0 is unlimited) (512000 = 500KB) (1048576 = 1MB) (2097152 = 2MB) (1073741824 = 1GB), etc
$quota = 1048576; // images are resized to 112x40 px so no need to be too large - 1MB seems reasonable

// Fast Feed >> Set the file upload size limit in bytes (0 is unlimited) (512000 = 500KB) (1048576 = 1MB) (2097152 = 2MB) (1073741824 = 1GB), etc
// Note - Most webhosts only allow a maximum 8MB file size upload limit - you can change this if you have access to your host's php.ini file though
$tinybrowser['maxsize']['image'] = 512000; // Image file maximum size
$tinybrowser['maxsize']['media'] = 8388608; // Media file maximum size
$tinybrowser['maxsize']['file']  = 2097152; // Other file maximum size

// Fast Feed >> Set dimensions for images to show in experimental newsfeed.php (non-compliant RSS)
// Images will automatically resize on upload if either dimension is bigger than those advised below
$tinybrowser['imageresize']['width']  = 112;
$tinybrowser['imageresize']['height'] = 40;

// Image thumbnail source (set to 'path' by default - shouldn't need changing)
$tinybrowser['thumbsrc'] = 'path'; // Possible values: path, link

// Image thumbnail size in pixels
$tinybrowser['thumbsize'] = 80;

// Image and thumbnail quality, higher is better (1 to 99)
$tinybrowser['imagequality'] = 80; // only used when resizing or rotating
$tinybrowser['thumbquality'] = 80;

// Date format, as per php date function
$tinybrowser['dateformat'] = 'd/m/Y H:i';

// Fast Feed >> Set the permitted file extensions - just images - no need to edit
$tinybrowser['filetype']['image'] = '*.jpg, *.jpeg, *.gif'; // Image file types
//$tinybrowser['filetype']['media'] = '*.swf, *.flv, *.mov, *.qt, *.mpg, *.mp3, *.mp4, *.m4v, *.mpeg, *.wma, *.wmv'; // Media file types
//$tinybrowser['filetype']['file']  = '*.xml, *.zip, *.7z, *.tar, *.rar, *.pdf'; // Other file types

// Prohibited file extensions
$tinybrowser['prohibited'] = array('php','php3','php4','php5','phtml','asp','aspx','ascx','jsp','cfm','cfc','pl','bat','exe','dll','reg','cgi', 'sh', 'py','asa','asax','config','com','inc');

// Default file sort
$tinybrowser['order']['by']   = 'name'; // Possible values: name, size, type, modified
$tinybrowser['order']['type'] = 'asc'; // Possible values: asc, desc

// Default image view method
$tinybrowser['view']['image'] = 'thumb'; // Possible values: thumb, detail

// File Pagination - split results into pages (0 is none)
$tinybrowser['pagination'] = 0;

// TinyMCE dialog.css file location, relative to tinybrowser.php (can be set to absolute link)
$tinybrowser['tinymcecss'] = '../../themes/advanced/skins/default/dialog.css';

// TinyBrowser pop-up window size
$tinybrowser['window']['width']  = 770;
$tinybrowser['window']['height'] = 480;

// Fast Feed >> Set the Permissions for Upload, Edit, Delete & Folders
$tinybrowser['allowupload']  = true;
$tinybrowser['allowedit']    = true;
$tinybrowser['allowdelete']  = true;
$tinybrowser['allowfolders'] = false; // not in use - keep as false

// Clean filenames on upload
$tinybrowser['cleanfilename'] = true;

// Set default action for edit page
$tinybrowser['defaultaction'] = 'delete'; // Possible values: delete, rename, move

// Set delay for file process script, only required if server response is slow
$tinybrowser['delayprocess'] = 0; // Value in seconds

?>