<?php 
/*
Fast Feed 1.0 - A fast, free and easy application for managing an RSS newsfeed.
(C) 2011 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Feed is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

ob_start();
require('fast_feed/fast_feed_login.php');
?>


<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="iso-8859-1" />


<title>Fast Feed Administration : <?php echo $website_title ;?></title>
<link rel="stylesheet" href="fast_feed/styles/fast_feed.css" />
<!--[if IE]><link rel="stylesheet" href="fast_feed/styles/fast_feed_ie.css" /><![endif]-->
<link rel="stylesheet" href="fast_feed/styles/datepicker.css" />
<script src="fast_feed/js/datepicker.js"></script>
<script src="fast_feed/tinymce/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
<script src="fast_feed/js/jquery-1.4.2.min.js"></script>
<script src="fast_feed/js/jquery.tablesorter.js"></script> 
<script src="fast_feed/tinymce/tinymce/jscripts/tiny_mce/plugins/tinybrowser/tb_standalone.js.php"></script>
<?php if(isset($_SESSION['ffusername'])) { ?>
<script>
	tinyMCE.init({
		mode : "exact",
		elements : "fastnews",
		width : "100%",
		height : "100",
		theme : "advanced",
		plugins : "save",
		convert_urls : false,
		theme_advanced_buttons1 : "save,|,big,|,small,|,bold,italic,underline,|,undo,redo,|,link,unlink,|,code",
		theme_advanced_buttons2 : "",
		theme_advanced_buttons3 : "",
		theme_advanced_buttons4 : "",
		theme_advanced_statusbar_location : "none",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "center",
		save_onsavecallback : "Editor_Save",

   		setup : function(ed) {	// Add custom button functions below (also need to be referenced in "theme_advanced_buttons1" above)

    		ed.addButton('big', { // name of button referenced in "theme_advanced_buttons1"
            		title : 'Bigger text', // tooltip on hover
            		image : 'fast_feed/tinymce/big.gif', // path to custom button image
            		onclick : function() {
            			ed.focus();
            			ed.execCommand('mceReplaceContent',false,'<big>{$selection}</big>') // action to perform
            				}
        			});

    		ed.addButton('small', { // name of button referenced in "theme_advanced_buttons1"
           		title : 'Smaller text', // tooltip on hover
            		image : 'fast_feed/tinymce/small.gif', // path to custom button image
            		onclick : function() {
            			ed.focus();
            			ed.execCommand('mceReplaceContent',false,'<small>{$selection}</small>') // action to perform
            				}
        			});
    			}
		});

function Editor_Save() {
    document.formeditor1.action = "?action=save&page=<?php echo $_SESSION['page'] ?>";
    document.formeditor1.submit();
};

function confirmDelete(delUrl) {
  if (confirm("Are you sure you want to delete this news item?")) {
    document.location = delUrl;
  }
}

function clearText(field){
    if (field.defaultValue == field.value) field.value = '';
    else if (field.value == '') field.value = field.defaultValue; }
<?php if ( $entry_sort == '0') { ?>
$(document).ready(function() {
	$("#page-list").tablesorter( {sortList: [[1,0]]} ) // sort on the 2nd column, order ascending
});
<?php } else { ?>
$(document).ready(function() {
	$("#page-list").tablesorter( {sortList: [[1,1]]} ) // sort on the 2nd column, order descending
});
<?php } ?>
</script>
<?php } ?>

</head> 
<body>

<h2 style="text-align:center;">Fast Feed Administration : <?php echo $website_title ;?></h2>

<div class="help">[ <a href="http://fast-apps.co.uk/fast_feed/fast_feed/help.png" title="Get more help - online help guide" target="_blank" class="link">Help</a> ]</div>

<div class="fast-feed-outer">

<?php if(isset($_SESSION['ffusername'])) 
	{
	include('fast_feed/fast_feed_admin.php');
	}
	else
	{
	?>
<div class="fast-feed-container">
	<p style="text-align:center">Sorry, you do not have permission to access this area. Please login.</p>
	<?php if (isset($login_error)) { echo $login_error; } ?>
	</br>
	<div class="login-box-outer">
		Admin Login: <img src="fast_feed/images/lock.png" alt="Admin Login"/>
		<div class="login-box">
			<form method="post" action="<?php echo $_SERVER['PHP_SELF'];?>?action=login">
			Username:<br/><input type="text" name="name" size="15" style="margin:2px auto;"/><br/>
			Password:<br/><input type="password" name="pass" size="15" style="margin:2px auto;"/><br/>
			<input type="image" src="fast_feed/images/login.gif" name="submit_login" alt="Login" title="Login" class="login-submit"/>
			</form>
		</div>
	</div>
</div>
<?php } ?>

<div class="last-updated examples">
<b>Sample Newsfeeds for published/current news items:</b> 
<a href="examples/demo_php.php" target="_blank" class="link">PHP Scroller</a> | 
<a href="examples/demo_xml.php" target="_blank" class="link">XML Scroller</a> | 
<a href="newsfeed.xml" target="_blank" class="link">XML Newsfeed</a> | 
<a href="newsfeed_plain_text.xml" target="_blank" class="link">XML Newsfeed (plain text)</a> | 
<a href="fast_feed/log.txt" target="_blank" class="link">View Logs</a>
<br/><br/>
<b>Sample Newsfeeds for unpublished/old news items:</b> 
<a href="examples/demo_old_php.php" target="_blank" class="link">PHP Scroller</a> | 
<a href="examples/demo_old_xml.php" target="_blank" class="link">XML Scroller</a> | 
<a href="newsfeed_old.xml" target="_blank" class="link">XML Newsfeed</a> | 
<a href="newsfeed_old_plain_text.xml" target="_blank" class="link">XML Newsfeed (plain text)</a>
</div>

<div class="last-updated" style="text-align:center;">
	<p>Copyright &copy; 2010-<?php echo date('Y')?> Beverley Hooton &mdash; <a href="http://fast-apps.co.uk/" target="_blank" title="Visit the Fast Apps website" class="link">Fast Apps</a></p>
</div>

</div>

</body>
</html>